<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="model"
            type="com.sixin.module_p.ui.gnj.xieji.details.PdaGnjXieJiDetailsAllocationDialogModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/backgroud_gray"
        android:orientation="vertical">

        <include layout="@layout/title_tool_bar" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="15dp">

            <TextView
                completeSpace="@{4}"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="平板车" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="20dp"
                android:text="@{model.carList}"
                android:textColor="@color/text_normal"
                android:textStyle="bold" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:gravity="center_vertical">

            <TextView
                completeSpace="@{5}"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="转运目的站" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="35dp"
                android:layout_marginLeft="20dp"
                android:background="@drawable/bg_search_row">

                <Spinner
                    hint='@{"请选择转运目的站"}'
                    items="@{model.transDestList}"
                    onSelected="@{model::onAreaSelected}"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/bg_spinner_pda"
                    android:textSize="14sp"
                    android:theme="@style/spinner_normal" />

            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_weight="1" />

        <TextView
            android:layout_width="120dp"
            android:layout_height="50dp"
            android:layout_gravity="end"
            android:background="@color/colorPrimary"
            android:gravity="center"
            android:onClick="@{()-> model.onConfirmClick()}"
            android:text="确定"
            android:textColor="@color/white"
            android:textSize="18sp" />

    </LinearLayout>
</layout>